VERSION 5.00
Object = "{3B7C8863-D78F-101B-B9B5-04021C009402}#1.2#0"; "RICHTX32.OCX"
Begin VB.Form frmDbugInfo 
   Caption         =   "Debug Info"
   ClientHeight    =   2850
   ClientLeft      =   165
   ClientTop       =   450
   ClientWidth     =   4680
   Icon            =   "DbugInfo.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   2850
   ScaleWidth      =   4680
   Begin RichTextLib.RichTextBox txtDisplay 
      Height          =   555
      Left            =   120
      TabIndex        =   0
      Top             =   180
      Width           =   1515
      _ExtentX        =   2672
      _ExtentY        =   979
      _Version        =   393217
      BorderStyle     =   0
      HideSelection   =   0   'False
      ReadOnly        =   -1  'True
      ScrollBars      =   3
      TextRTF         =   $"DbugInfo.frx":014A
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "Courier New"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuFile_SaveAs 
         Caption         =   "Save &As ..."
      End
      Begin VB.Menu mnuFile_Separator_3 
         Caption         =   "-"
      End
      Begin VB.Menu mnuFile_Print 
         Caption         =   "&Print ..."
      End
      Begin VB.Menu mnuFile_PrintSetup 
         Caption         =   "Printer Set&up ..."
      End
      Begin VB.Menu mnuFile_Separator_4 
         Caption         =   "-"
      End
      Begin VB.Menu mnuFile_Exit 
         Caption         =   "E&xit"
      End
   End
   Begin VB.Menu mnuEdit 
      Caption         =   "&Edit"
      Begin VB.Menu mnuEdit_Copy 
         Caption         =   "&Copy"
      End
      Begin VB.Menu mnuEdit_Separator_1 
         Caption         =   "-"
      End
      Begin VB.Menu mnuEdit_SelectAll 
         Caption         =   "Select &All"
      End
      Begin VB.Menu mnuEdit_Separator_2 
         Caption         =   "-"
      End
      Begin VB.Menu mnuEdit_Find 
         Caption         =   "&Find ..."
         Shortcut        =   ^F
      End
      Begin VB.Menu mnuEdit_FindNext 
         Caption         =   "Find &Next"
         Shortcut        =   {F3}
      End
   End
End
Attribute VB_Name = "frmDbugInfo"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Declare _
  Function SendMessage _
  Lib "user32" _
  Alias "SendMessageA" _
  ( _
    ByVal hWnd As Long, _
    ByVal wMsg As Long, _
    ByVal wParam As Long, _
    lParam As Any _
  ) As Long

Const WM_USER As Long = &H400
Const EM_SETTARGETDEVICE As Long = WM_USER + 72

Private Declare _
  Function SetWindowPos _
  Lib "user32" _
  ( _
    ByVal hWnd As Long, _
    ByVal hWndInsertAfter As Long, _
    ByVal X As Long, _
    ByVal Y As Long, _
    ByVal cx As Long, _
    ByVal cy As Long, _
    ByVal wFlags As Long _
  ) As Long

Const SWP_NOSIZE = &H1
Const SWP_NOMOVE = &H2
Const SWP_SHOWWINDOW = &H40
Const HWND_NOTOPMOST = -2
Const HWND_TOPMOST = -1

Private Declare _
  Function LockWindowUpdate _
  Lib "user32" _
  ( _
    ByVal hwndLock As Long _
  ) As Long


Private Sub Form_Load()

  frmDbugInfoLoaded = True

  Me.Top = GetSetting(appId$, "Debug", "Top", (Screen.Height - Me.Height) \ 2)
  Me.Left = GetSetting(appId$, "Debug", "Left", (Screen.Width - Me.Width) \ 2)
  Me.Height = GetSetting(appId$, "Debug", "Height", Me.Height)
  Me.Width = GetSetting(appId$, "Debug", "Width", Me.Width)

  SetWindowPos Me.hWnd, HWND_TOPMOST, 0, 0, 0, 0, SWP_NOMOVE Or SWP_NOSIZE Or SWP_SHOWWINDOW
  
  With frmPropLoad.txtDisplay.Font
    frmDbugInfo.txtDisplay.Font.Name = .Name
    frmDbugInfo.txtDisplay.Font.Bold = .Bold
    frmDbugInfo.txtDisplay.Font.Italic = .Italic
    frmDbugInfo.txtDisplay.Font.Size = .Size
  End With
  
  SendMessage txtDisplay.hWnd, EM_SETTARGETDEVICE, 0, 0 ' Word Wrap Off

End Sub
Private Sub mnuEdit_FindNext_Click()
  If findText$ = "" Then
    Call mnuEdit_Find_Click
  Else
    Call Find_Next(Me.txtDisplay, findText$, findMode&)
  End If
End Sub
Private Sub mnuEdit_SelectAll_Click()
  LockWindowUpdate txtDisplay.hWnd
  With txtDisplay
    .SelStart = 0
    .SelLength = Len(.Text)
  End With
  LockWindowUpdate 0
End Sub

Private Sub mnuEdit_Find_Click()
  Call Find_Load(Me.txtDisplay)
End Sub
Private Sub mnuEdit_Copy_Click()
  Clipboard.Clear
  With txtDisplay
    If .SelLength = 0 Then
      Clipboard.SetText .Text
    Else
      Clipboard.SetText .SelText
    End If
  End With
End Sub
Private Sub mnuFile_Print_Click()
  SetWindowPos Me.hWnd, HWND_NOTOPMOST, 0, 0, 0, 0, SWP_NOMOVE Or SWP_NOSIZE Or SWP_SHOWWINDOW
  On Error Resume Next
  Printer.Font = txtDisplay.Font
  Printer.Print txtDisplay.Text;
  If Err <> 0 Then
    Call PrintError(Err)
    On Error GoTo 0
  Else
    On Error GoTo 0
    Printer.EndDoc
  End If
  SetWindowPos Me.hWnd, HWND_TOPMOST, 0, 0, 0, 0, SWP_NOMOVE Or SWP_NOSIZE Or SWP_SHOWWINDOW
End Sub
Private Sub mnuFile_PrintSetup_Click()
  SetWindowPos Me.hWnd, HWND_NOTOPMOST, 0, 0, 0, 0, SWP_NOMOVE Or SWP_NOSIZE Or SWP_SHOWWINDOW
  frmPropLoad.FileDialogue.CancelError = True
  On Error Resume Next
  frmPropLoad.FileDialogue.ShowPrinter
  If Err.Number <> 32755 Then
    If frmPropLoad.FileDialogue.Orientation = cdlLandscape Then
      Printer.Orientation = cdlLandscape
    Else
      Printer.Orientation = cdlPortrait
    End If
  End If
  On Error GoTo 0
  SetWindowPos Me.hWnd, HWND_TOPMOST, 0, 0, 0, 0, SWP_NOMOVE Or SWP_NOSIZE Or SWP_SHOWWINDOW
End Sub
Private Sub mnuFile_SaveAs_Click()
  SetWindowPos Me.hWnd, HWND_NOTOPMOST, 0, 0, 0, 0, SWP_NOMOVE Or SWP_NOSIZE Or SWP_SHOWWINDOW
  With frmPropLoad.FileDialogue
    .DialogTitle = "Save Debugging Information As ..."
    .CancelError = True
    .flags = cdlOFNHideReadOnly + cdlOFNExplorer + cdlOFNOverwritePrompt
    If saveFile$ <> "" Then
      .InitDir = ExtractFilePath$(saveFile$)
    End If
    .Filter = "Text File (*.txt)|*.txt|All Files (*.*)|*.*"
    On Error Resume Next
    .ShowSave
    If Err.Number <> 32755 Then
      On Error GoTo 0
      If .filename$ <> "" Then
        txtDisplay.saveFile .filename$, rtfText
      End If
    End If
    On Error GoTo 0
  End With
  SetWindowPos Me.hWnd, HWND_TOPMOST, 0, 0, 0, 0, SWP_NOMOVE Or SWP_NOSIZE Or SWP_SHOWWINDOW
End Sub

Private Sub Form_Resize()
  With txtDisplay
    .Top = 0
    .Left = 0
    .Width = Me.ScaleWidth
    .Height = Me.ScaleHeight
  End With
End Sub


Private Sub Form_Unload(Cancel As Integer)

  If Me.WindowState = 0 Then
    SaveSetting appId$, "Debug", "Top", Me.Top
    SaveSetting appId$, "Debug", "Left", Me.Left
    SaveSetting appId$, "Debug", "Height", Me.Height
    SaveSetting appId$, "Debug", "Width", Me.Width
  End If

  frmDbugInfoLoaded = False

End Sub



Private Sub mnuFile_Exit_Click()
  Unload Me
End Sub

