Attribute VB_Name = "basMru"
Option Explicit

Global Const MAX_MRULIST& = 10

Global mruList$(MAX_MRULIST&)

Sub Mru_Add(ByVal t$, Optional ByVal where&)
Dim i&
  With frmPropLoad.cboMruList
    If .ListCount = 0 Then
      .AddItem t$
    Else
      If UCase$(.List(0)) <> UCase$(t$) Then
        .AddItem t$, 0
      End If
      i& = .ListCount - 1
      While i& > 0
        If UCase$(.List(i&)) = UCase$(t$) Then
          .RemoveItem i&
        End If
        i& = i& - 1
      Wend
      While .ListCount > MAX_MRULIST& + 1
        .RemoveItem .ListCount - 1
      Wend
    End If
  End With
  Call Mru_SetMenu
End Sub





Sub Mru_Flush()
Dim i&
  For i& = 0 To MAX_MRULIST&
    SaveSetting appId$, "Mru", FNstr$(i& + 1), ""
  Next
  frmPropLoad.cboMruList.Clear
  Call Mru_SetMenu
End Sub


Sub Mru_SetMenu()
Dim i&
  For i& = 0 To 7
    Call Mru_SetMenuItem(i&)
  Next
  frmPropLoad.mnuFile_Serator_Mru.Visible = frmPropLoad.mnuFile_Mru(0).Visible
  frmPropLoad.mnuOptions_FlushMru.Enabled = frmPropLoad.mnuFile_Serator_Mru.Visible
End Sub

Sub Mru_SetMenuItem(ByVal i&)
  If frmPropLoad.cboMruList.List(i&) = "" Then
    frmPropLoad.mnuFile_Mru(i&).Visible = False
  Else
    frmPropLoad.mnuFile_Mru(i&).Caption = "&" + FNstr$(i& + 1) + " " + ExtractFileName$(frmPropLoad.cboMruList.List(i&))
    frmPropLoad.mnuFile_Mru(i&).Visible = True
    frmPropLoad.mnuOptions_FlushMru.Enabled = False
  End If
End Sub


