VERSION 5.00
Object = "{831FDD16-0C5C-11D2-A9FC-0000F8754DA1}#2.0#0"; "MSCOMCTL.OCX"
Begin VB.Form frmFindFile 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Integration Wizard"
   ClientHeight    =   2145
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   7110
   Icon            =   "FindFile.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2145
   ScaleWidth      =   7110
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton btnSearch 
      Caption         =   "&Search"
      Enabled         =   0   'False
      Height          =   375
      Left            =   120
      TabIndex        =   6
      Top             =   1680
      Width           =   1035
   End
   Begin VB.CommandButton btnOkay 
      Caption         =   "&Use"
      Enabled         =   0   'False
      Height          =   375
      Left            =   5940
      TabIndex        =   5
      Top             =   1680
      Width           =   1035
   End
   Begin VB.Frame Frame1 
      Height          =   1095
      Left            =   120
      TabIndex        =   1
      Top             =   60
      Width           =   6855
      Begin VB.Label lblAction 
         Caption         =   "Searching for ...."
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   255
         Left            =   180
         TabIndex        =   3
         Top             =   300
         Width           =   6495
      End
      Begin VB.Label lblStatus 
         Caption         =   "lblStatus"
         Height          =   315
         Left            =   180
         TabIndex        =   2
         Top             =   660
         Width           =   6495
      End
   End
   Begin VB.CommandButton btnCancel 
      Caption         =   "&Cancel"
      Height          =   375
      Left            =   4680
      TabIndex        =   0
      Top             =   1680
      Width           =   1035
   End
   Begin MSComctlLib.ProgressBar barProgress 
      Height          =   255
      Left            =   120
      TabIndex        =   4
      Top             =   1260
      Visible         =   0   'False
      Width           =   6855
      _ExtentX        =   12091
      _ExtentY        =   450
      _Version        =   393216
      Appearance      =   1
      Scrolling       =   1
   End
End
Attribute VB_Name = "frmFindFile"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Public filename$
Public filedesc$

Dim found As Boolean
Dim abort As Boolean
Dim done As Boolean

Sub CheckThis(ByVal path$, ByVal flags&)
Dim t$
  lblStatus.Caption = path$
  If FNdir$(path$ + "\" + findfileFile$) <> "" Then
    Select Case MsgBox("Is this the installation directory of the " + findfileDesc$ + " you want to use ?" + vbCrLf + vbCrLf + path$ + t$, flags&, "Searching for " + findfileDesc$)
      Case vbYes: found = True
      Case vbNo:
      Case vbCancel: abort = True
    End Select
  End If
End Sub






Sub LookIn(ByVal path$)
Dim f$
Dim ff$
  lblStatus.Caption = path$
  DoEvents
  Call CheckThis(path$, vbYesNoCancel + vbQuestion)
  If (Not abort) And (Not found) Then
    f$ = FNdirMask$(path$ + "\*.*", vbDirectory)
    While f$ <> "" And (Not abort) And (Not found)
      If Left$(f$, 1) <> "." Then
        If (FNgetAttr(path$ + "\" + f$) And vbDirectory) = vbDirectory Then
          Call LookIn(path$ + "\" + f$)
          ff$ = FNdirMask$(path$ + "\*.*", vbDirectory)
          While ff$ <> "" And ff$ <> f$ And (Not abort) And (Not found)
            ff$ = Dir$
          Wend
        Else
          DoEvents
        End If
      End If
      f$ = Dir$
    Wend
  End If
End Sub


Function FNgetAttr&(ByVal p$)
Dim a&
  a& = 0
  On Error Resume Next
  a& = GetAttr(p$)
  On Error GoTo 0
  FNgetAttr& = a&
End Function






Sub SearchDisks()
Dim disk&
Dim diskList$
  diskList$ = "CDEFGHIJKLMNOPQRSTUVWXYZ"
  disk& = InStr(diskList$, Left$(CurDir$, 1))
  If disk& > 1 Then
    diskList$ = Left$(CurDir$, 1) + Left$(diskList$, disk& - 1) + Right$(diskList$, Len(diskList$) - disk&)
  End If
  disk& = InStr(diskList$, Left$(App.path$, 1))
  If disk& > 1 Then
    diskList$ = Left$(App.path$, 1) + Left$(diskList$, disk& - 1) + Right$(diskList$, Len(diskList$) - disk&)
  End If
  disk& = 1
  Do
    Call LookIn(Mid$(diskList$, disk&, 1) + ":")
    disk& = disk& + 1
  Loop Until disk& > Len(diskList$) Or abort Or found
End Sub

Private Sub btnCancel_Click()
  If done Then
    findfileFile$ = ""
    Unload Me
  Else
    abort = True
  End If
End Sub




Private Sub btnOkay_Click()

  findfileFound$ = lblStatus.Caption + "\" + FNdir$(lblStatus.Caption + "\" + findfileFile$)
  Unload Me

End Sub

Private Sub btnSearch_Click()

  lblAction.Caption = "Searching for " + findfileDesc$ + " ..."
  lblStatus.Font.Bold = False
  lblStatus.ForeColor = &H80000012

  abort = False
  found = False
  done = False

  btnSearch.Enabled = False
  btnCancel.Caption = "&Stop"
  btnOkay.Enabled = False
  Me.MousePointer = 13

  Call SearchDisks

  Me.MousePointer = 0

  If found Then
    lblAction.Caption = findfileDesc$ + " found in ..."
    btnOkay.Enabled = True
  Else
    If abort Then
      lblStatus.Caption = "Aborted"
    Else
      lblStatus.Caption = "Not found !"
    End If
    lblStatus.Font.Bold = True
    lblStatus.ForeColor = vbRed
  End If
  btnSearch.Enabled = True
  btnCancel.Caption = "&Cancel"

  done = True

End Sub

Private Sub Form_Load()

  frmFindFileLoaded = True

  findfileFound$ = ""
  
  lblAction.Caption = "Searching for " + findfileDesc$ + " ..."
  lblStatus.Font.Bold = False
  lblStatus.ForeColor = &H80000012

  abort = False
  found = False
  done = False

  btnSearch.Enabled = False
  btnOkay.Enabled = False

  Me.Show
  
  If findfilePath$ <> "" Then
    Call CheckThis(findfilePath$, vbYesNo + vbQuestion)
  End If

  If found Then
    lblAction.Caption = findfileDesc$ + " found in ..."
    btnOkay.Enabled = True
    btnSearch.Enabled = True
    btnCancel.Caption = "&Cancel"
    done = True
  Else
    Call btnSearch_Click
  End If

End Sub




Private Sub Form_Unload(Cancel As Integer)

  If done Then
    frmFindFileLoaded = False
  Else
    Cancel = True
  End If

End Sub







