Attribute VB_Name = "basFindText"
Option Explicit

Global frmFindTextLoaded As Boolean
Global findIgnoreSelChange As Boolean

Global findText$
Global findMode&
Global findCanFindNext As Boolean

Global findRtb As RichTextBox
Dim findFrom&

Global Const MAX_FILELIST& = 9

Global fileList$(MAX_FILELIST&)
Sub Find_Add(ByVal t$)
Dim i&
  With frmFindText.cboFindText
    If .ListCount = 0 Then
      .AddItem t$
    Else
      If .List(0) <> t$ Then
        .AddItem t$, 0
      End If
      i& = .ListCount - 1
      While i& > 0
        If .List(i&) = t$ Then
          .RemoveItem i&
        End If
        i& = i& - 1
      Wend
      While .ListCount > MAX_FILELIST& + 1
        .RemoveItem .ListCount - 1
      Wend
      .Text = .List(0)
    End If
  End With
End Sub

Sub Find_Load(ByRef rtb As RichTextBox)
Dim i&
Dim t$
Dim selectedText$

  Set findRtb = rtb
  If Not frmFindTextLoaded Then
    Load frmFindText
    For i& = 0 To MAX_FILELIST&
      If fileList$(i&) <> "" Then
       frmFindText.cboFindText.AddItem fileList$(i&)
      End If
    Next
    If rtb.SelLength = 0 Then
      selectedText$ = ""
    Else
      selectedText$ = rtb.SelText
      i& = InStr(selectedText$, vbCr)
      If i& > 0 Then
        selectedText$ = Left$(selectedText$, i& - 1)
      End If
      i& = InStr(selectedText$, vbLf)
      If i& > 0 Then
        selectedText$ = Left$(selectedText$, i& - 1)
      End If
      selectedText$ = PurifyText$(selectedText$)
    End If
    If Len(selectedText$) = 0 Then
      frmFindText.cboFindText.Text = findText$
    Else
      frmFindText.cboFindText.Text = selectedText$
      findFrom& = rtb.SelStart
    End If
    If (findMode& And rtfMatchCase) <> 0 Then
      frmFindText.chkMatchCase.Value = 1
    Else
      frmFindText.chkMatchCase.Value = 0
    End If
    If (findMode& And rtfWholeWord) <> 0 Then
      frmFindText.chkWholeWord.Value = 1
    Else
      frmFindText.chkWholeWord.Value = 0
    End If
    
    frmFindText.Show
  End If
  frmFindText.SetFocus
End Sub

Sub Find_Next(ByRef rtb As RichTextBox, ByVal t$, ByVal m&)
  findIgnoreSelChange = True
  Set findRtb = rtb
  If findText$ <> t$ Then
    findText$ = t$
    Call Find_Add(t$)
  End If
  findMode& = m&
  With rtb
    findFrom& = .Find(findText$, findFrom& + 1, , findMode&)
    If findFrom& < 0 Then
      findFrom& = .Find(findText$, 0, , findMode&)
      If findFrom& < 0 Then
        MsgBox "Text Not Found", vbInformation, "Find Next"
      End If
    End If
  End With
  findIgnoreSelChange = False
  findCanFindNext = True
End Sub

Sub Find_First(ByRef rtb As RichTextBox, ByVal t$, ByVal m&)
  findIgnoreSelChange = True
  Set findRtb = rtb
  If findText$ <> t$ Then
    findText$ = t$
    Call Find_Add(findText$)
  End If
  findMode& = m&
  With rtb
    findFrom& = .Find(findText$, 0, , findMode&)
    If findFrom& < 0 Then
      MsgBox "Text Not Found", vbInformation, "Find First"
    End If
  End With
  findIgnoreSelChange = False
  findCanFindNext = True
End Sub
Sub Find_Unload()
Dim i&
  For i& = 0 To frmFindText.cboFindText.ListCount - 1
     fileList$(i&) = frmFindText.cboFindText.List(i&)
  Next
End Sub


