VERSION 5.00
Begin VB.Form frmFindText 
   BorderStyle     =   4  'Fixed ToolWindow
   Caption         =   " Find"
   ClientHeight    =   1005
   ClientLeft      =   45
   ClientTop       =   210
   ClientWidth     =   3690
   Icon            =   "FindText.frx":0000
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1005
   ScaleWidth      =   3690
   ShowInTaskbar   =   0   'False
   Begin VB.CheckBox chkMatchCase 
      Caption         =   "&Match Case"
      Height          =   255
      Left            =   60
      TabIndex        =   3
      Top             =   480
      Width           =   1335
   End
   Begin VB.CheckBox chkWholeWord 
      Caption         =   "&Whole Word"
      Height          =   255
      Left            =   60
      TabIndex        =   4
      Top             =   720
      Width           =   1395
   End
   Begin VB.ComboBox cboFindText 
      Height          =   315
      Left            =   60
      TabIndex        =   0
      Top             =   60
      Width           =   3555
   End
   Begin VB.CommandButton btnFindNext 
      Caption         =   "Find &Next"
      Height          =   375
      Left            =   2640
      TabIndex        =   2
      Top             =   540
      Width           =   975
   End
   Begin VB.CommandButton btnFind 
      Caption         =   "&Find First"
      Height          =   375
      Left            =   1560
      TabIndex        =   1
      Top             =   540
      Width           =   975
   End
End
Attribute VB_Name = "frmFindText"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Declare _
  Function SetWindowPos _
  Lib "user32" _
  ( _
    ByVal hWnd As Long, _
    ByVal hWndInsertAfter As Long, _
    ByVal X As Long, _
    ByVal Y As Long, _
    ByVal cx As Long, _
    ByVal cy As Long, _
    ByVal wFlags As Long _
  ) As Long

Const SWP_NOSIZE = &H1
Const SWP_NOMOVE = &H2
Const SWP_SHOWWINDOW = &H40
Const HWND_NOTOPMOST = -2
Const HWND_TOPMOST = -1
Private Sub btnFind_Click()
  If cboFindText.Text <> "" Then
    Call Find_First(findRtb, cboFindText.Text, GetFindMode&)
  End If
End Sub
Function GetFindMode&()
Dim m&
  m& = 0
  If chkWholeWord.Value <> 0 Then
    m& = m& Or rtfWholeWord
  End If
  If chkMatchCase.Value <> 0 Then
    m& = m& Or rtfMatchCase
  End If
  GetFindMode& = m&
End Function
  
Private Sub btnFindNext_Click()
  If cboFindText.Text <> "" Then
    Call Find_Next(findRtb, cboFindText.Text, GetFindMode&)
  End If
End Sub


Private Sub cboFindText_KeyPress(KeyAscii As Integer)
  If KeyAscii = 13 Then
    KeyAscii = 0
    Call btnFindNext_Click
  End If
End Sub


Private Sub Form_Load()

  frmFindTextLoaded = True
  
  Me.Top = GetSetting(appId$, "Find", "Top", (Screen.Height - Me.Height) \ 2)
  Me.Left = GetSetting(appId$, "Find", "Left", (Screen.Width - Me.Width) \ 2)
  
  SetWindowPos Me.hWnd, HWND_TOPMOST, 0, 0, 0, 0, SWP_NOMOVE Or SWP_NOSIZE Or SWP_SHOWWINDOW

End Sub

Private Sub Form_Unload(Cancel As Integer)
  
  Call Find_Unload
  
  If Me.WindowState = 0 Then
    SaveSetting appId$, "Find", "Top", Me.Top
    SaveSetting appId$, "Find", "Left", Me.Left
  End If

  frmFindTextLoaded = False

End Sub


